/*!
 * ngToast v1.5.6 (http://tameraydin.github.io/ngToast)
 * Copyright 2015 Tamer Aydin (http://tamerayd.in)
 * Licensed under MIT (http://tameraydin.mit-license.org/)
 */

.ng-toast {
  position: fixed;
  z-index: 1080;
  width: 100%;
  height: 0;
  margin-top: 20px;
  text-align: center;
}
.ng-toast.ng-toast--top {
  top: 0;
  bottom: auto;
}
.ng-toast.ng-toast--top .ng-toast__list {
  top: 0;
  bottom: auto;
}
.ng-toast.ng-toast--top.ng-toast--center .ng-toast__list {
  position: static;
}
.ng-toast.ng-toast--bottom {
  top: auto;
  bottom: 0;
}
.ng-toast.ng-toast--bottom .ng-toast__list {
  top: auto;
  bottom: 0;
}
.ng-toast.ng-toast--bottom.ng-toast--center .ng-toast__list {
  pointer-events: none;
}
.ng-toast.ng-toast--bottom.ng-toast--center .ng-toast__message .alert {
  pointer-events: auto;
}
.ng-toast.ng-toast--right .ng-toast__list {
  left: auto;
  right: 0;
  margin-right: 20px;
}
.ng-toast.ng-toast--right .ng-toast__message {
  text-align: right;
}
.ng-toast.ng-toast--left .ng-toast__list {
  right: auto;
  left: 0;
  margin-left: 20px;
}
.ng-toast.ng-toast--left .ng-toast__message {
  text-align: left;
}
.ng-toast .ng-toast__list {
  display: inline-block;
  position: absolute;
  right: 0;
  left: 0;
  margin: 0 auto;
  padding: 0;
  list-style: none;
}
.ng-toast .ng-toast__message {
  display: block;
  width: 100%;
  text-align: center;
}
.ng-toast .ng-toast__message .alert {
  display: inline-block;
}
.ng-toast .ng-toast__message__count {
  display: inline-block;
  margin: 0 15px 0 5px;
}

/*!
 * ngToast v1.5.6 (http://tameraydin.github.io/ngToast)
 * Copyright 2015 Tamer Aydin (http://tamerayd.in)
 * Licensed under MIT (http://tameraydin.mit-license.org/)
 */

.ng-toast--animate-fade .ng-enter,
.ng-toast--animate-fade .ng-leave,
.ng-toast--animate-fade .ng-move {
	transition-property: opacity;
	transition-duration: 0.3s;
	transition-timing-function: ease;
}
.ng-toast--animate-fade .ng-enter {
	opacity: 0;
}
.ng-toast--animate-fade .ng-enter.ng-enter-active {
	opacity: 1;
}
.ng-toast--animate-fade .ng-leave {
	opacity: 1;
}
.ng-toast--animate-fade .ng-leave.ng-leave-active {
	opacity: 0;
}
.ng-toast--animate-fade .ng-move {
	opacity: 0.5;
}
.ng-toast--animate-fade .ng-move.ng-move-active {
	opacity: 1;
}

.ng-toast--animate-slide .ng-enter,
.ng-toast--animate-slide .ng-leave,
.ng-toast--animate-slide .ng-move {
	position: relative;
	transition-duration: 0.3s;
	transition-timing-function: ease;
}
.ng-toast--animate-slide.ng-toast--center.ng-toast--top .ng-toast__message {
	position: relative;
	transition-property: top, margin-top, opacity;
}
.ng-toast--animate-slide.ng-toast--center.ng-toast--top .ng-toast__message.ng-enter {
	opacity: 0;
	top: -100px;
}
.ng-toast--animate-slide.ng-toast--center.ng-toast--top .ng-toast__message.ng-enter.ng-enter-active {
	opacity: 1;
	top: 0;
}
.ng-toast--animate-slide.ng-toast--center.ng-toast--top .ng-toast__message.ng-leave {
	opacity: 1;
	top: 0;
}
.ng-toast--animate-slide.ng-toast--center.ng-toast--top .ng-toast__message.ng-leave.ng-leave-active {
	opacity: 0;
	margin-top: -72px;
}
.ng-toast--animate-slide.ng-toast--center.ng-toast--bottom .ng-toast__message {
	position: relative;
	transition-property: bottom, margin-bottom, opacity;
}
.ng-toast--animate-slide.ng-toast--center.ng-toast--bottom .ng-toast__message.ng-enter {
	opacity: 0;
	bottom: -100px;
}
.ng-toast--animate-slide.ng-toast--center.ng-toast--bottom .ng-toast__message.ng-enter.ng-enter-active {
	opacity: 1;
	bottom: 0;
}
.ng-toast--animate-slide.ng-toast--center.ng-toast--bottom .ng-toast__message.ng-leave {
	opacity: 1;
	bottom: 0;
}
.ng-toast--animate-slide.ng-toast--center.ng-toast--bottom .ng-toast__message.ng-leave.ng-leave-active {
	opacity: 0;
	margin-bottom: -72px;
}
.ng-toast--animate-slide.ng-toast--right {
	transition-property: right, margin-right, opacity;
}
.ng-toast--animate-slide.ng-toast--right .ng-enter {
	opacity: 0;
	right: -200%;
	margin-right: 20px;
}
.ng-toast--animate-slide.ng-toast--right .ng-enter.ng-enter-active {
	opacity: 1;
	right: 0;
	margin-right: 0;
}
.ng-toast--animate-slide.ng-toast--right .ng-leave {
	opacity: 1;
	right: 0;
	margin-right: 0;
}
.ng-toast--animate-slide.ng-toast--right .ng-leave.ng-leave-active {
	opacity: 0;
	right: -200%;
	margin-right: 20px;
}
.ng-toast--animate-slide.ng-toast--left {
	transition-property: left, margin-left, opacity;
}
.ng-toast--animate-slide.ng-toast--left .ng-enter {
	opacity: 0;
	left: -200%;
	margin-left: 20px;
}
.ng-toast--animate-slide.ng-toast--left .ng-enter.ng-enter-active {
	opacity: 1;
	left: 0;
	margin-left: 0;
}
.ng-toast--animate-slide.ng-toast--left .ng-leave {
	opacity: 1;
	left: 0;
	margin-left: 0;
}
.ng-toast--animate-slide.ng-toast--left .ng-leave.ng-leave-active {
	opacity: 0;
	left: -200%;
	margin-left: 20px;
}
